nutch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (NUTCH-2362) Upgrade MaxMind GeoIP version in index-geoip
Date Fri, 15 Dec 2017 20:49:00 GMT

    [ https://issues.apache.org/jira/browse/NUTCH-2362?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16293223#comment-16293223
] 

ASF GitHub Bot commented on NUTCH-2362:
---------------------------------------

sebastian-nagel closed pull request #262: NUTCH-2362 Upgrade MaxMind GeoIP version in index-geoip
URL: https://github.com/apache/nutch/pull/262
 
 
   

This is a PR merged from a forked repository.
As GitHub hides the original diff on merge, it is displayed below for
the sake of provenance:

As this is a foreign pull request (from a fork), the diff is supplied
below (as it won't show otherwise due to GitHub magic):

diff --git a/src/plugin/index-geoip/ivy.xml b/src/plugin/index-geoip/ivy.xml
index 1b626f073..aa56a68e5 100644
--- a/src/plugin/index-geoip/ivy.xml
+++ b/src/plugin/index-geoip/ivy.xml
@@ -36,10 +36,12 @@
   </publications>
 
   <dependencies>
-    <dependency org="com.maxmind.geoip2" name="geoip2" rev="2.3.1" >
+    <dependency org="com.maxmind.geoip2" name="geoip2" rev="2.10.0" >
       <!-- Exlude due to classpath issues -->
       <exclude org="org.apache.httpcomponents" name="httpclient" />
       <exclude org="org.apache.httpcomponents" name="httpcore" />
+      <exclude org="commons-codec" name="commons-codec" />
+      <exclude org="commons-logging" name="commons-logging" />
     </dependency>
   </dependencies>
   
diff --git a/src/plugin/index-geoip/plugin.xml b/src/plugin/index-geoip/plugin.xml
index 214fbd08a..821ecc010 100644
--- a/src/plugin/index-geoip/plugin.xml
+++ b/src/plugin/index-geoip/plugin.xml
@@ -25,15 +25,11 @@
       <library name="index-geoip.jar">
          <export name="*"/>
       </library>
-      <library name="commons-codec-1.6.jar"/>
-      <library name="commons-logging-1.1.1.jar"/>
-      <library name="geoip2-2.3.1.jar"/>
-      <library name="google-http-client-1.20.0.jar"/>
-      <library name="jackson-annotations-2.5.0.jar"/>
-      <library name="jackson-core-2.5.3.jar"/>
-      <library name="jackson-databind-2.5.3.jar"/>
-      <library name="jsr305-1.3.9.jar"/>
-      <library name="maxmind-db-1.0.0.jar"/>
+      <library name="geoip2-2.10.0.jar"/>
+      <library name="jackson-annotations-2.9.0.jar"/>
+      <library name="jackson-core-2.9.2.jar"/>
+      <library name="jackson-databind-2.9.2.jar"/>
+      <library name="maxmind-db-1.2.2.jar"/>
    </runtime>
 
    <requires>


 

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> Upgrade MaxMind GeoIP version in index-geoip
> --------------------------------------------
>
>                 Key: NUTCH-2362
>                 URL: https://issues.apache.org/jira/browse/NUTCH-2362
>             Project: Nutch
>          Issue Type: Improvement
>          Components: plugin
>            Reporter: Lewis John McGibbney
>            Assignee: Lewis John McGibbney
>            Priority: Minor
>             Fix For: 1.14
>
>
> Current version of GeoIP dependency is 2.8.1, we should upgrade
> http://search.maven.org/#search|gav|1|g%3A%22com.maxmind.geoip2%22%20AND%20a%3A%22geoip2%22



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message